Subject: bug#57781: missing wallpaper command

From: Stefan Kangas <[email-masked]>
Date: Wed, 14 Sep 2022 15:51:02 -0700

Sean Whitton <[email-masked]> writes:

>> To test for Wayland, it only checks if $WAYLAND_DISPLAY is set.
>> We could do something more fancy if needed, possibly involving
>> loginctl.
>
> Since it's protocol-dependent, I don't know if it will work on anything
> other than wlroots-based compositors.  Before relying solely on
> WAYLAND_DISPLAY, perhaps we should also check it works with GNOME?

I need help here, as I don't have access to Wayland.

Would you be willing to help test it, and/or make concrete suggestions
for how to do better?  I'd ideally need someone to tell me which
environment variables or commands to run, and which values to expect,
but any information you could provide would help.